karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Markus Rathgeb (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (KARAF-4105) karaf-assembly fails when used Maven versions do not match derived OSGi versions
Date Wed, 25 Nov 2015 13:40:11 GMT

    [ https://issues.apache.org/jira/browse/KARAF-4105?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15026776#comment-15026776
] 

Markus Rathgeb commented on KARAF-4105:
---------------------------------------

We should check the mechanism Karaf uses to compare versions.
IMHO it should be moved (if it is not already used) to org.apache.maven.artifact.versioning.ComparableVersion.

https://maven.apache.org/ref/3.0.3/maven-artifact/apidocs/org/apache/maven/artifact/versioning/ComparableVersion.html

> karaf-assembly fails when used Maven versions do not match derived OSGi versions
> --------------------------------------------------------------------------------
>
>                 Key: KARAF-4105
>                 URL: https://issues.apache.org/jira/browse/KARAF-4105
>             Project: Karaf
>          Issue Type: Bug
>          Components: karaf-tooling
>    Affects Versions: 4.0.3
>            Reporter: Oliver Lietz
>
> e.g. {{$\{project.version\}}} {{0.1.1-SNAPSHOT}} and {{0.1.1.SNAPSHOT}} do not match
in {{org.apache.karaf.profile.assembly.Builder}}
> See mail thread [\[K4.0.3\] custom distribution and kar|http://mail-archives.apache.org/mod_mbox/karaf-user/201511.mbox/%3c7781910.EKNrsAyV2X@madness%3e]
for more.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message